<?php
$server   = "localhost";
$username = "casaarandas_root";
$password = "JcEPk!RG-V~i";
$database = "";

// Obtener el nombre del host al que se está accediendo
$host = $_SERVER['HTTP_HOST'];

// Determinar la base de datos según el nombre del host

//VENTAS
if (stripos($host, 'almacengbventa.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacengbventa";
//CDC    
} elseif (stripos($host, 'almacenofi.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacenofi";
//RANCHO -- ahorita esta en test
} elseif (stripos($host, 'almacengb.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacengb";
//MKT
} elseif (stripos($host, 'almacenarandas.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacenarandas";
//TRADE    
} elseif (stripos($host, 'lmacentepa.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacentepa";
//EXP    
} elseif (stripos($host, 'almacengdl.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacengdl";
//NM    
}  elseif (stripos($host, 'almacencdmx.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacencdmx";
    
} elseif (stripos($host, 'almacencdmxve.casatequilaarandas.com') !== false) {
    $database = "casaarandas_almacencdmxve";
} 
elseif (stripos($host, 'broker1.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker1";
} 
elseif (stripos($host, 'broker2.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker2";
} 
elseif (stripos($host, 'broker3.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker3";
} 
elseif (stripos($host, 'broker4.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker4";
} 
elseif (stripos($host, 'broker5.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker5";
} 

else {
    // Si la URL no coincide con ninguna de las anteriores, establecer una base de datos predeterminada
    $database = "casaarandas_default";
}

// Conectar a la base de datos seleccionada
$mysqli = new mysqli($server, $username, $password, $database);

// Verificar la conexión
if ($mysqli->connect_error) {
    die('Error de conexión: ' . $mysqli->connect_error);
}

// Hacer algo con la conexión...
?>
